Greetings, all.

A tarball of version 0.9.8 of Tiny-Fu is now available at:

It was barely a week between the release of the 0.9.7 and 0.9.8 versions. The main work for this new release was started before 0.9.7 was made available. The 0.9.7 version provided a stable base of code from which to work prior to the big changes that were about to be introduced to the Scheme interpreter.

This latest version includes one useful bug fix and one important new feature. The bug fix allows Tiny-Fu to be used with GIMP in batch mode. The important new feature is support for UTF-8 coded strings. This allows the creation and use of scripts which need to manipulate strings written in non-English languages. You can see an example of what is now possible on the main web site for Tiny-Fu.

It has been almost exactly one year since Tiny-Fu successfully run its first script. The 0.9.8 version also marks another important milestone in the life of this plug-in. This version is a release candidate for a 1.0 version. As a result, the plug-in is now in feature and string freeze. No new features will be added or strings changed until after the release of a 1.0 version.

The one set of changes I will accept are any updates to the translation files which are very out-of-date with the exception of en_CA, en_GB, and pt_BR.

Prior to the release of 1.0, I will be running some additional tests and would appreciate any reports of problems I may have missed. I will also be starting to make the changes needed to allow Tiny-Fu to be used with the current CVS versions of GIMP. Any submissions related to new features will be held until after 1.0 is released or will be incorporated in to the version for use with CVS GIMP.

Changes since the 0.9.7 release:

- Added UTF-8 support to the TinyScheme interpreter.

- Changes to allow use of Tiny-Fu with batch mode. Fixes bug #167964.

Gimp-developer mailing list

Reply via email to